SYSCFGDIR=/run/sysconfig
SYSCFGDIR_PERSISTENT=/etc/NOS/sysconfig

sysconfig_enabled() {
  [ -e $SYSCFGDIR/$1 ]
}

sysconfig_metadata() {
  local flag=$1 key=${2:-}

  if [ -n "$key" ]; then
    # Strip trailing comment and whitespace after key-value.
    sed -ne '/^'"$key"'=/{ s/^[^=]*=//; s/#.*$//; s/[ \t]*$//; p; }' < "$SYSCFGDIR_PERSISTENT/$flag"
  else
    cat "$SYSCFGDIR_PERSISTENT/$flag"
  fi
}
