#!/bin/sh

# This script generates an empty file-system inside /etc/NOS
# This is needed because:
#  - UBIFS will not auto-generate a file-system if it is mounted read-only (which we normally do)
#  - We can't include NOS partition in the UBI gang programmer image, because mkfs.ubifs has a bug
#    and cannot generate images for very small file-systems

if ! mountpoint /etc/NOS; then
  mount -o rw /etc/NOS
  mount -o ro,remount /etc/NOS
fi

exit 0